diff --git a/protocol/activity/nian.proto b/protocol/activity/nian.proto
index 12f2b76..db207b9 100644
--- a/protocol/activity/nian.proto
+++ b/protocol/activity/nian.proto
@@ -14,6 +14,8 @@ enum NianPacketID {
    PACKET_SCNianAttackData       = 2667; //返回攻击年兽信息
    PACKET_CSNianSignAward			= 2668; //请求签到
    PACKET_SCNianSignAward			= 2669; //签到返回
+   PACKET_CSNianChange				= 2670;//请求兑换小爆竹
+   PACKET_SCNianChange				= 2671;//返回兑换道具
 }
 
 //获取年兽活动信息
@@ -26,12 +28,20 @@ message SCNianData{
 	int64 ActivityEndTime = 2;	//活动结束时间
 	int64 BossMaxHp = 3;		//Boss最大血量
 	int64 BossHp = 4;			//Boss当前血量
-	repeated RankData LuckData = 5;//幸运榜
+	repeated NianRankData RankData = 5;//排行榜奖励配置
 	int64 AwardTime = 6;//每日签到领取时间
 	int64 BuffCount = 7;//Buff剩余次数
 	bool BuffStatus = 8;//Buff领取状态
-	int32 On = 9;//活动开关  1开启 2关闭
-	int64 SignAwardTime = 10;//签到领取时间 0-未领取 
+	int64 SignAwardTime = 9;//签到领取时间 0-未领取
+	int64 BuffStartTime = 10; //Buff开始领取时间
+	int64 BuffEndTime = 11;		//Buff结束领取时间
+	repeated ShopData shopData = 12;//购买礼包数量
+}
+
+message ShopData{
+	int32 ShopId =1; //shopId
+	int32 ShopNum = 2; //已购买次数
+	int32 MaxShopNum = 3; //最大购买次数
 }
 
 //贺春
@@ -43,22 +53,14 @@ message CSNianBuff{
 message SCNianBuff{
 	int64 BuffCount = 1; //BUFF剩余次数
 }
-//排行榜数据
-//PACKET_CSNianRankData
-message CSNianRankData{
-	int32 TypeId = 1;//1-幸运榜 2-总伤害榜
+
+message NianRankData{
+	int32 TypeId = 1; //1-幸运榜 2-总榜
+	repeated NianRankInfo Data = 2;
 }
-//PACKET_SCNianRankData
-message SCNianRankData{
-	int32 TypeId = 1;
-	repeated RankData Data = 2;
-}
-message RankData{
+message NianRankInfo{
 	int32 RankId =1;
-	string Name = 2;
-	int32 Icon = 3;
-	int64 Score = 4;
-	repeated RankAwardData Award = 5;
+	repeated RankAwardData Award = 2;
 }
 
 message RankAwardData{
@@ -90,4 +92,14 @@ message CSNianSignAward{
 message SCNianSignAward{
 	int64 SignAwardTime = 1;
 	repeated RankAwardData SignAward = 2;//签到奖励
+}
+//兑换
+//PACKET_CSNianChange
+message CSNianChange{
+	int32 Num = 1;
+}
+//PACKET_SCNianChange
+message SCNianChange{
+	int32 Num = 1;
+	repeated RankAwardData Award =2;
 }
\ No newline at end of file
diff --git a/protocol/task/task.proto b/protocol/task/task.proto
index 0dd15ff..cd0f26e 100644
--- a/protocol/task/task.proto
+++ b/protocol/task/task.proto
@@ -33,20 +33,21 @@ message TaskData{
 // 任务列表
 // PACKET_CSTaskList
 message CSTaskList{
-	int32 Tp = 1; // 任务类型 1:日常任务 2:周活跃任务 3:新手任务 4:邀请任务 5:成就系统
+	int32 Tp = 1; // 任务类型 1:日常任务 2:周活跃任务 3:新手任务 4:邀请任务 5:成就系统 6:赛季通行证任务 8:年兽每日任务 9:年兽活动任务 10:累计消耗任务
 }
 // PACKET_SCTaskList
 message SCTaskList{
-		int32 Tp = 1; // 任务类型 1:日常任务 2:周活跃任务 3:新手任务 4:邀请任务 5:成就系统
+		int32 Tp = 1; // 任务类型
     repeated TaskData List = 2; // 任务列表
 		int64 StartTs = 3; // 开始时间
 		int64 EndTs = 4; // 结束时间
+	  bool On = 5; // 活动开关
 }
 
 // 领取任务奖励
 // PACKET_CSTaskReward
 message CSTaskReward{
-		int32 Tp = 1; // 任务类型 1:日常任务 2:周活跃任务 3:新手任务 4:邀请任务 5:成就系统 6:赛季通行证任务 8: 年兽每日任务 9：年兽活动任务
+		int32 Tp = 1; // 任务类型
     int32 Id = 2; // 任务id; 0 表示一键领取
 }
 // PACKET_SCTaskReward
@@ -60,12 +61,12 @@ message SCTaskReward{
 // 任务变更通知
 // PACKET_SCTaskChange
 message SCTaskChange{
-	int32 Tp = 1; // 任务类型 1:日常任务 2:周活跃任务 3:新手任务 4:邀请任务 5:成就系统
+	int32 Tp = 1; // 任务类型
 	repeated TaskData List = 2; // 任务列表
 }
 
 message CSTaskDebugInc{
-	int32 Tp = 1; // 任务类型 1:日常任务 2:周活跃任务 3:新手任务 4:邀请任务 5:成就系统
+	int32 Tp = 1; // 任务类型
 	int32 Id = 2; // 任务id
 	int32 AddNum = 3; // 直接增加次数
 }
diff --git a/protocol/webapi/common.proto b/protocol/webapi/common.proto
index 0347298..0ff98df 100644
--- a/protocol/webapi/common.proto
+++ b/protocol/webapi/common.proto
@@ -1120,6 +1120,20 @@ message NianDropInfo{
   int32 DropRate = 4;//掉落概率
   int32 DropUp = 5;//掉落上限
 }
+//年兽排行榜奖励
+//etcd /game/activity_nian_rank
+message NianRankReward{
+	string Platform = 1; // 平台
+	repeated NianRankData RankData = 2;
+}
+message NianRankData{
+	int32 TypeId = 1; //1-幸运榜 2-伤害榜
+	repeated NianRankAwardInfo RankInfo = 2;
+}
+message NianRankAwardInfo{
+	int32 RankId =1;//排名
+	repeated ItemInfo Award = 2; //奖励
+}
 
 // etcd /game/act_redpacket
 message RedPacketConfig{
@@ -1144,4 +1158,12 @@ message RedPacketInfo{
 message RedInfo{
   int64 Num = 1; // 数量
   int64 Rate = 2; // 概率，百分比
+}
+
+// etcd /game/act_consume
+message ConsumeConfig{
+  string Platform = 1; // 平台
+  int32 On = 2; // 活动开关 1.开启 2.关闭
+  string StartTime = 3; // 活动开始时间
+  string EndTime = 4; // 活动结束时间
 }
\ No newline at end of file
